MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025067Open CASCADE[OCCT] OCCT:Testspublic2014-07-10 11:372014-11-11 12:57
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025067: Change default location of test results
DescriptionCurrently by default test results are saved in subdirectories with names "results_<branch>_<timestamp>" in the current directory. It would be more convenient to save them to "results" subdirectory.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0030461)
git (administrator)
2014-07-29 08:41

Branch CR25067 has been created by abv.

SHA-1: cd32322a0d3c03a908d8e0908d2e2bbe4e0bb9f8
(0030462)
abv (manager)
2014-07-29 08:44

Please review branch CR25067

Generation of default path for test results changed to have "results" as sub-directory and not prefix.

Parsing images in test results restricted to take only files with name of the test case without suffix or with suffix separated by underscore or dash, to avoid fetching images from different test case if its name starts like current test case.
(0030479)
kgv (developer)
2014-07-29 21:11

Please test the patch.
(0030501)
apv (tester)
2014-07-31 11:31

Dear BugMaster,

Branch CR25067 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: cd32322a0d3c03a908d8e0908d2e2bbe4e0bb9f8

Number of compiler warnings:
occt component :
  Linux: 15 (15 on master)
  Windows: 0 (0 on master)
  MacOS: 196 (196 on master)
products component :
  Linux: 11 (11 on master)
  Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

There are no differences in images found by testdiff.

Testing on Linux:
Total MEMORY difference: 349786584 / 349683692
Total CPU difference: 51479.93000000016 / 47853.389999999985

Testing on Windows:
Total MEMORY difference: 240326320 / 240215912
Total CPU difference: 28869.0625 / 34832.4375
(0030826)
git (administrator)
2014-08-18 11:07

Branch CR25067 has been deleted by inv.

SHA-1: cd32322a0d3c03a908d8e0908d2e2bbe4e0bb9f8

- Related Changesets
occt: master ffc26091
Timestamp: 2014-07-10 07:40:05
Author: abv
Committer: bugmaster
Details ] Diff ]
0025067: Change default location of test results

Generation of default path for test results corrected to have "results" as subdirectory and not prefix.

Parsing images in test results restricted to take only files with name of the test case without suffix or with suffix separated by underscore or dash, to avoid fetching images from different test case if its name starts like current test case.
mod - src/DrawResources/TestCommands.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-07-10 11:37 abv New Issue
2014-07-10 11:37 abv Assigned To => mkv
2014-07-15 17:05 mkv Assigned To mkv => bugmaster
2014-07-29 08:41 git Note Added: 0030461
2014-07-29 08:44 abv Note Added: 0030462
2014-07-29 08:44 abv Assigned To bugmaster => kgv
2014-07-29 08:44 abv Status new => resolved
2014-07-29 21:11 kgv Note Added: 0030479
2014-07-29 21:11 kgv Assigned To kgv => bugmaster
2014-07-29 21:11 kgv Status resolved => reviewed
2014-07-31 11:31 apv Note Added: 0030501
2014-07-31 11:32 apv Test case number => Not needed
2014-07-31 11:32 apv Status reviewed => tested
2014-08-01 14:55 bugmaster Changeset attached => occt master ffc26091
2014-08-01 14:55 bugmaster Status tested => verified
2014-08-01 14:55 bugmaster Resolution open => fixed
2014-08-18 11:07 git Note Added: 0030826
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:57 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker